%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% stridani platna a prednasejiciho
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
:- include('configuration.basic.pl').
:- include('configuration.esfCAM.pl').
:- include('configuration.antiql.pl').

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%	
% vyrez prednasejiciho
fixed_visible(Person, Camera, 1) :- 
	Person = a, 
	Parent = 1, 
	moving_virtual_camera_id(Person, ID),
	virtual_camera_number(Parent, ID, Camera).
fixed_visible(Person, Camera, 2) :- 
	Person = b, 
	Parent = 2, 
	moving_virtual_camera_id(Person, ID),
	virtual_camera_number(Parent, ID, Camera).
fixed_visible(Person, Camera, 3) :- 
	Person = c, 
	Parent = 3, 
	moving_virtual_camera_id(Person, ID),
	virtual_camera_number(Parent, ID, Camera).
fixed_visible(Person, Camera, 4) :- 
	Person = d, 
	Parent = 4, 
	moving_virtual_camera_id(Person, ID),
	virtual_camera_number(Parent, ID, Camera).
%rule_configuration(s_moving_virtual_cameras, 3, 0, 0.1, 1, 1, 520, 520, 520, 0.00005, 1.333333).
%rule_configuration(s_moving_virtual_cameras, 3, 0, -0.5, 1, 1, 80, 960, 960, 0.0000, 1.333333).
rule_configuration(s_moving_virtual_cameras, 3, 0, -0.2, 1, 1, 520, 520, 520, 0.00003, 1.333333).
rule_configuration(o_virtual_cameras_simple).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%	
% platno
rule_configuration(s_silverscreen_virtual_cameras, 1.333333).
rule_configuration(o_perspective_cameras_simple).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%	
% aktivita pri prepinani slajdu
rule_configuration(c_past_slide_exp, 60000).
rule_configuration(c_future_slide_exp, 10000).

rule_configuration(o_summarization_fade_in, 500).
rule_configuration(o_summarization_fade_out, 500).
